%define major	0
%define libname	%mklibname %{name} %{major}
%define devname	%mklibname %{name} -d

Name:		qpxtool
Version:	0.8.1
Release:	%mkrel 2
Summary:	CD/DVD Drive Quality Checking
Group:		System/Kernel and hardware
License:	GPLv2
URL:		http://qpxtool.sourceforge.net/
Source0:	https://download.sourceforge.net/qpxtool/qpxtool-%{version}.tar.bz2
Patch0:		qpxtool-0.7.2-strip.patch
Patch1:		qpxtool-0.8.1-mga-comparison.patch
BuildRequires:	qt5-devel
BuildRequires:	qttools5
BuildRequires:	pkgconfig(libpng)

%description
QPxTool is the linux way to get full control over your CD/DVD drives.

It is the Open Source Solution which intends to give you access to all
available Quality Checks (Q-Checks) on written and blank media, that are
available for your drive. This will help you to find the right media and the
optimized writing speed for your hardware, which will increase the chance for
a long data lifetime.

Includes tool to update your firmware (firmware not included),

%package -n %{libname}
Group:		Development/KDE and Qt
Summary:	Shared libraries for qpxtool
Obsoletes:	%{_lib}%{name}0.6.2 < 0.7.2

%description -n %{libname}
Shared libraries for qpxtool.

%package -n %{devname}
Group:		Development/KDE and Qt
Summary:	Development files for qpxtool
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{devname}
Development files for qpxtool.

%prep
%autosetup -p1

%build
# our configure macros won't work
%set_build_flags
./configure --prefix=%{_prefix} --libdir=%{_libdir}
%make_build

%install
%make_install

install -m 755 gui/qpxtool %{buildroot}%{_bindir}

install -d -m 755 %{buildroot}%{_datadir}/applications
install -m 644 gui/qpxtool.desktop %{buildroot}%{_datadir}/applications

install -d -m 755 %{buildroot}%{_datadir}/pixmaps
install -m 644 gui/images/q.png %{buildroot}%{_datadir}/pixmaps/qpxtool.png

%files
%doc AUTHORS ChangeLog COPYING README TODO
%{_bindir}/qscan
%{_bindir}/qscand
%{_bindir}/f1tattoo
%{_bindir}/cdvdcontrol
%{_bindir}/readdvd
%{_bindir}/qpxtool
%{_sbindir}/pxfw
%{_mandir}/man8/pxfw.8*
%{_mandir}/man1/cdvdcontrol.1*
%{_mandir}/man1/f1tattoo.1*
%{_mandir}/man1/qscan.1*
%{_mandir}/man1/readdvd.1*
%{_mandir}/man1/qpxtool.1*
%{_mandir}/man1/qscand.1*
%{_datadir}/applications/qpxtool.desktop
%{_datadir}/pixmaps/qpxtool.png
%{_datadir}/qpxtool/
%{_libdir}/qpxtool/

%files -n %{libname}
%{_libdir}/*.so.%{major}
%{_libdir}/*.so.%{major}.*

%files -n %{devname}
%{_libdir}/*.so
%{_includedir}/*


%changelog
* Mon Apr 04 2022 umeabot <umeabot> 0.8.1-2.mga9
+ Revision: 1843023
- Mageia 9 Mass Rebuild

* Fri Mar 11 2022 danf <danf> 0.8.1-1.mga9
+ Revision: 1790318
- Update to ver. 0.8.1
- drop upstreamed patches
- add comparison.patch to fix gcc 12 error

* Fri Feb 14 2020 umeabot <umeabot> 0.7.2-8.mga8
+ Revision: 1516224
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%setup_compile_flags

* Sun Sep 23 2018 umeabot <umeabot> 0.7.2-7.mga7
+ Revision: 1300669
- Mageia 7 Mass Rebuild

* Sat Jul 07 2018 wally <wally> 0.7.2-6.mga7
+ Revision: 1242408
- add patches from debian to fix build on aarch64

* Tue Sep 19 2017 cjw <cjw> 0.7.2-5.mga7
+ Revision: 1155325
- fix debug packages

* Thu Feb 04 2016 umeabot <umeabot> 0.7.2-4.mga6
+ Revision: 934427
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.7.2-3.mga5
+ Revision: 740456
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.7.2-2.mga5
+ Revision: 688509
- Mageia 5 Mass Rebuild

* Wed Aug 13 2014 wally <wally> 0.7.2-1.mga5
+ Revision: 662292
- new version 0.7.2
- fix lib pkg name
- fix license

* Sat Oct 19 2013 umeabot <umeabot> 0.7.1.002-5.mga4
+ Revision: 526216
- Mageia 4 Mass Rebuild

* Mon Jun 03 2013 fwang <fwang> 0.7.1.002-4.mga4
+ Revision: 436079
- rebuild for new libpng

* Wed Jan 23 2013 fwang <fwang> 0.7.1.002-3.mga3
+ Revision: 391308
- update rpm group

* Sun Jan 13 2013 umeabot <umeabot> 0.7.1.002-2.mga3
+ Revision: 379872
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 15 2011 fwang <fwang> 0.7.1.002-1.mga2
+ Revision: 143751
- add gentoo patch to build with libpng15

* Sun Apr 10 2011 ennael <ennael> 0.7.1.002-1.mga1
+ Revision: 82821
- clean spec file
- imported package qpxtool


* Sun Sep 05 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.7.1.002-1mdv2011.0
+ Revision: 576196
- new version

* Mon Jul 26 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.7.0-2mdv2011.0
+ Revision: 560888
- don't forget to ship main binary, even if 'make install' don't installs it... (#60321)

* Thu Dec 31 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.7.0-1mdv2010.1
+ Revision: 484571
- new version

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Aug 17 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.6.1-0.rc2.1mdv2008.0
+ Revision: 65215
- import qpxtool


* Fri Aug 17 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.6.1-0.rc2.1mdv2008.0
- first mdv package, based on Dick Gevers <dvgevers@xs4all.nl> spec
